This privacy statement is the same for all versions of this (web)app,
it is divided in a part for all versions. One for the web version,
one for the Android/ iOS version and one for just the Android version.

## Global

This (web)app does not collect any user information.
The Android and iOS versions don't even have the internet permission to share any possibly collected information.
The web app however is hosted using Github pages. Github and its service, Github pages, have their own privacy statement.
In this statement Github says that they collect basic information from visitors for legal obligations.
Check the [Github privacy statement](https://docs.github.com/en/github/site-policy/github-privacy-statement#github-pages)
if you want more, and up-to-date information.

This doesn't mean that this app doesn't handle any user information.
The data that is collected will only be stored on your device, be it a phone, desktop, or a web browser <sup>1</sup>.
The data collected include:
 
 - Bluetooth low energy device identifier.<sup>2</sup>
 - Date and time of last seen valid devices.<sup>3</sup>
 - User generated data.<sup>4</sup>

<sup>1</sup> While the app doesn't have any build in mechanisms to export data,
that doesn't mean that it will never leave the device.
If you yourself decide to export the data, by for example using the developer tools in the web browser,
then it could leave the device. Another way is if you choose to take your apps with you to a new device on Android.
In this case the locally stored information will be transferred over to the new device by the Android system.
See [switch to a new Android phone](https://support.google.com/android/answer/6193424) for more info.

<sup>2</sup> This identifier varies per version of the app, on Android This will be the actual mac address of the Bluetooth device,
while on iOS and the web it will be a randomly generated string.
These identifiers are used to bind information to these devices, for example a nickname.
And to manage connections, for example making sure the same device is not connected to twice, 
or a known to be invalid device isn't connected to again.

<sup>3</sup> A valid device means a deice that this app is able to communicate with,
so a Valve Lighthouse or a Vive Base station if enabled in the settings.
This information is bound to the device identifier.

<sup>4</sup> User generated data includes the data a user inputs themself.
This includes a nickname for a device, the name of a group and the devices that are inside it,
all the settings on the settings page, and the pairing id needed for vive base stations.

## Web app

The web app will only communicate with the devices you (the user) give access to when you click on the pair button.
The browser may remember the devices you have given access to.
This depends on what bluetooth features your browser supports.
The web app will try to re-connect to the paired devices everytime you click the scan button (or load the main page).  
There is currently no way to revoke access to an already paired device. The only way to do this is to go to the site settings and forget the site.  
If you select a non-lighthouse device from the pair list then it will not show up in the final lighthouses list,
because it will not pass the tests to check if it's a supported device.
The website will however try to communicate with it to determine if it's a valid lighthouse device.
This happens when you first pair or every time you scan for devices.

## Android and iOS

Everytime you scan for lighthouses, you also scan for all Bluetooth low energy (BLE) devices in your range.
Before the app connects to any device, it must first pass a name check.
For example, a Lighthouse V2 device's name must start with "LHB-".
If the name check doesn't pass then it will not be considered as a valid device, and the app won't connect to it.

### Android

If you want to connect to a Bluetooth low energy device from an Android phone,
running Android 11 or lower, then you will need to aks for location permissions.
This is because an app that uses Bluetooth low energy could technically triangulate a devices' location using the devices in the area.
An app that has the location permissions also has access to the GPS module.
Lighthouse Power management does not use the GPS module and only uses the Bluetooth low energy functionality.

#### Android 12 and higher

The location permissions are not needed for Android 12 and higher.
From that version onward there is a new permission to communicate with nearby devices as a replacement for the location permission.

Do note that the Android 12 version of the app still has the location permission in its manifest
for running on devices with older versions of Android, but it has been marked as never for location,
meaning that it won't show up in the permission list on the device and you will never be asked to accept these permissions.
If you already had the older version of the app installed that was made for Android 11 and upgrade to the Android 12 version,
and have Android 12 (or higher) installed on your phone, then it may still be in that list. You can safely revoke the location permission in this case.

#### Google play version

If you have installed the app via Google play then it will use the Google Billing api to get a list of ways to support the app.
This uses a connection directly to the Google Play Services on your device and doesn't share any information about the app.
Google may however still collect some data through this connection.
Check the [Google privacy Statement](https://policies.google.com/privacy) for more, and up-to-date information.
