// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'database.dart';

// ignore_for_file: type=lint
class $NicknamesTable extends Nicknames
    with TableInfo<$NicknamesTable, Nickname> {
  @override
  final GeneratedDatabase attachedDatabase;
  final String? _alias;
  $NicknamesTable(this.attachedDatabase, [this._alias]);
  static const VerificationMeta _deviceIdMeta =
      const VerificationMeta('deviceId');
  @override
  late final GeneratedColumn<String> deviceId = GeneratedColumn<String>(
      'device_id', aliasedName, false,
      additionalChecks:
          GeneratedColumn.checkTextLength(minTextLength: 17, maxTextLength: 37),
      type: DriftSqlType.string,
      requiredDuringInsert: true);
  static const VerificationMeta _nicknameMeta =
      const VerificationMeta('nickname');
  @override
  late final GeneratedColumn<String> nickname = GeneratedColumn<String>(
      'nickname', aliasedName, false,
      type: DriftSqlType.string, requiredDuringInsert: true);
  @override
  List<GeneratedColumn> get $columns => [deviceId, nickname];
  @override
  String get aliasedName => _alias ?? actualTableName;
  @override
  String get actualTableName => $name;
  static const String $name = 'nicknames';
  @override
  VerificationContext validateIntegrity(Insertable<Nickname> instance,
      {bool isInserting = false}) {
    final context = VerificationContext();
    final data = instance.toColumns(true);
    if (data.containsKey('device_id')) {
      context.handle(_deviceIdMeta,
          deviceId.isAcceptableOrUnknown(data['device_id']!, _deviceIdMeta));
    } else if (isInserting) {
      context.missing(_deviceIdMeta);
    }
    if (data.containsKey('nickname')) {
      context.handle(_nicknameMeta,
          nickname.isAcceptableOrUnknown(data['nickname']!, _nicknameMeta));
    } else if (isInserting) {
      context.missing(_nicknameMeta);
    }
    return context;
  }

  @override
  Set<GeneratedColumn> get $primaryKey => {deviceId};
  @override
  Nickname map(Map<String, dynamic> data, {String? tablePrefix}) {
    final effectivePrefix = tablePrefix != null ? '$tablePrefix.' : '';
    return Nickname(
      deviceId: attachedDatabase.typeMapping
          .read(DriftSqlType.string, data['${effectivePrefix}device_id'])!,
      nickname: attachedDatabase.typeMapping
          .read(DriftSqlType.string, data['${effectivePrefix}nickname'])!,
    );
  }

  @override
  $NicknamesTable createAlias(String alias) {
    return $NicknamesTable(attachedDatabase, alias);
  }
}

class Nickname extends DataClass implements Insertable<Nickname> {
  final String deviceId;
  final String nickname;
  const Nickname({required this.deviceId, required this.nickname});
  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    map['device_id'] = Variable<String>(deviceId);
    map['nickname'] = Variable<String>(nickname);
    return map;
  }

  NicknamesCompanion toCompanion(bool nullToAbsent) {
    return NicknamesCompanion(
      deviceId: Value(deviceId),
      nickname: Value(nickname),
    );
  }

  factory Nickname.fromJson(Map<String, dynamic> json,
      {ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return Nickname(
      deviceId: serializer.fromJson<String>(json['deviceId']),
      nickname: serializer.fromJson<String>(json['nickname']),
    );
  }
  @override
  Map<String, dynamic> toJson({ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return <String, dynamic>{
      'deviceId': serializer.toJson<String>(deviceId),
      'nickname': serializer.toJson<String>(nickname),
    };
  }

  Nickname copyWith({String? deviceId, String? nickname}) => Nickname(
        deviceId: deviceId ?? this.deviceId,
        nickname: nickname ?? this.nickname,
      );
  @override
  String toString() {
    return (StringBuffer('Nickname(')
          ..write('deviceId: $deviceId, ')
          ..write('nickname: $nickname')
          ..write(')'))
        .toString();
  }

  @override
  int get hashCode => Object.hash(deviceId, nickname);
  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      (other is Nickname &&
          other.deviceId == this.deviceId &&
          other.nickname == this.nickname);
}

class NicknamesCompanion extends UpdateCompanion<Nickname> {
  final Value<String> deviceId;
  final Value<String> nickname;
  final Value<int> rowid;
  const NicknamesCompanion({
    this.deviceId = const Value.absent(),
    this.nickname = const Value.absent(),
    this.rowid = const Value.absent(),
  });
  NicknamesCompanion.insert({
    required String deviceId,
    required String nickname,
    this.rowid = const Value.absent(),
  })  : deviceId = Value(deviceId),
        nickname = Value(nickname);
  static Insertable<Nickname> custom({
    Expression<String>? deviceId,
    Expression<String>? nickname,
    Expression<int>? rowid,
  }) {
    return RawValuesInsertable({
      if (deviceId != null) 'device_id': deviceId,
      if (nickname != null) 'nickname': nickname,
      if (rowid != null) 'rowid': rowid,
    });
  }

  NicknamesCompanion copyWith(
      {Value<String>? deviceId, Value<String>? nickname, Value<int>? rowid}) {
    return NicknamesCompanion(
      deviceId: deviceId ?? this.deviceId,
      nickname: nickname ?? this.nickname,
      rowid: rowid ?? this.rowid,
    );
  }

  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    if (deviceId.present) {
      map['device_id'] = Variable<String>(deviceId.value);
    }
    if (nickname.present) {
      map['nickname'] = Variable<String>(nickname.value);
    }
    if (rowid.present) {
      map['rowid'] = Variable<int>(rowid.value);
    }
    return map;
  }

  @override
  String toString() {
    return (StringBuffer('NicknamesCompanion(')
          ..write('deviceId: $deviceId, ')
          ..write('nickname: $nickname, ')
          ..write('rowid: $rowid')
          ..write(')'))
        .toString();
  }
}

class $LastSeenDevicesTable extends LastSeenDevices
    with TableInfo<$LastSeenDevicesTable, LastSeenDevice> {
  @override
  final GeneratedDatabase attachedDatabase;
  final String? _alias;
  $LastSeenDevicesTable(this.attachedDatabase, [this._alias]);
  static const VerificationMeta _deviceIdMeta =
      const VerificationMeta('deviceId');
  @override
  late final GeneratedColumn<String> deviceId = GeneratedColumn<String>(
      'device_id', aliasedName, false,
      additionalChecks:
          GeneratedColumn.checkTextLength(minTextLength: 17, maxTextLength: 37),
      type: DriftSqlType.string,
      requiredDuringInsert: true);
  static const VerificationMeta _lastSeenMeta =
      const VerificationMeta('lastSeen');
  @override
  late final GeneratedColumn<DateTime> lastSeen = GeneratedColumn<DateTime>(
      'last_seen', aliasedName, false,
      type: DriftSqlType.dateTime,
      requiredDuringInsert: false,
      clientDefault: () => DateTime.now());
  @override
  List<GeneratedColumn> get $columns => [deviceId, lastSeen];
  @override
  String get aliasedName => _alias ?? actualTableName;
  @override
  String get actualTableName => $name;
  static const String $name = 'last_seen_devices';
  @override
  VerificationContext validateIntegrity(Insertable<LastSeenDevice> instance,
      {bool isInserting = false}) {
    final context = VerificationContext();
    final data = instance.toColumns(true);
    if (data.containsKey('device_id')) {
      context.handle(_deviceIdMeta,
          deviceId.isAcceptableOrUnknown(data['device_id']!, _deviceIdMeta));
    } else if (isInserting) {
      context.missing(_deviceIdMeta);
    }
    if (data.containsKey('last_seen')) {
      context.handle(_lastSeenMeta,
          lastSeen.isAcceptableOrUnknown(data['last_seen']!, _lastSeenMeta));
    }
    return context;
  }

  @override
  Set<GeneratedColumn> get $primaryKey => {deviceId};
  @override
  LastSeenDevice map(Map<String, dynamic> data, {String? tablePrefix}) {
    final effectivePrefix = tablePrefix != null ? '$tablePrefix.' : '';
    return LastSeenDevice(
      deviceId: attachedDatabase.typeMapping
          .read(DriftSqlType.string, data['${effectivePrefix}device_id'])!,
      lastSeen: attachedDatabase.typeMapping
          .read(DriftSqlType.dateTime, data['${effectivePrefix}last_seen'])!,
    );
  }

  @override
  $LastSeenDevicesTable createAlias(String alias) {
    return $LastSeenDevicesTable(attachedDatabase, alias);
  }
}

class LastSeenDevice extends DataClass implements Insertable<LastSeenDevice> {
  final String deviceId;
  final DateTime lastSeen;
  const LastSeenDevice({required this.deviceId, required this.lastSeen});
  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    map['device_id'] = Variable<String>(deviceId);
    map['last_seen'] = Variable<DateTime>(lastSeen);
    return map;
  }

  LastSeenDevicesCompanion toCompanion(bool nullToAbsent) {
    return LastSeenDevicesCompanion(
      deviceId: Value(deviceId),
      lastSeen: Value(lastSeen),
    );
  }

  factory LastSeenDevice.fromJson(Map<String, dynamic> json,
      {ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return LastSeenDevice(
      deviceId: serializer.fromJson<String>(json['deviceId']),
      lastSeen: serializer.fromJson<DateTime>(json['lastSeen']),
    );
  }
  @override
  Map<String, dynamic> toJson({ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return <String, dynamic>{
      'deviceId': serializer.toJson<String>(deviceId),
      'lastSeen': serializer.toJson<DateTime>(lastSeen),
    };
  }

  LastSeenDevice copyWith({String? deviceId, DateTime? lastSeen}) =>
      LastSeenDevice(
        deviceId: deviceId ?? this.deviceId,
        lastSeen: lastSeen ?? this.lastSeen,
      );
  @override
  String toString() {
    return (StringBuffer('LastSeenDevice(')
          ..write('deviceId: $deviceId, ')
          ..write('lastSeen: $lastSeen')
          ..write(')'))
        .toString();
  }

  @override
  int get hashCode => Object.hash(deviceId, lastSeen);
  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      (other is LastSeenDevice &&
          other.deviceId == this.deviceId &&
          other.lastSeen == this.lastSeen);
}

class LastSeenDevicesCompanion extends UpdateCompanion<LastSeenDevice> {
  final Value<String> deviceId;
  final Value<DateTime> lastSeen;
  final Value<int> rowid;
  const LastSeenDevicesCompanion({
    this.deviceId = const Value.absent(),
    this.lastSeen = const Value.absent(),
    this.rowid = const Value.absent(),
  });
  LastSeenDevicesCompanion.insert({
    required String deviceId,
    this.lastSeen = const Value.absent(),
    this.rowid = const Value.absent(),
  }) : deviceId = Value(deviceId);
  static Insertable<LastSeenDevice> custom({
    Expression<String>? deviceId,
    Expression<DateTime>? lastSeen,
    Expression<int>? rowid,
  }) {
    return RawValuesInsertable({
      if (deviceId != null) 'device_id': deviceId,
      if (lastSeen != null) 'last_seen': lastSeen,
      if (rowid != null) 'rowid': rowid,
    });
  }

  LastSeenDevicesCompanion copyWith(
      {Value<String>? deviceId, Value<DateTime>? lastSeen, Value<int>? rowid}) {
    return LastSeenDevicesCompanion(
      deviceId: deviceId ?? this.deviceId,
      lastSeen: lastSeen ?? this.lastSeen,
      rowid: rowid ?? this.rowid,
    );
  }

  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    if (deviceId.present) {
      map['device_id'] = Variable<String>(deviceId.value);
    }
    if (lastSeen.present) {
      map['last_seen'] = Variable<DateTime>(lastSeen.value);
    }
    if (rowid.present) {
      map['rowid'] = Variable<int>(rowid.value);
    }
    return map;
  }

  @override
  String toString() {
    return (StringBuffer('LastSeenDevicesCompanion(')
          ..write('deviceId: $deviceId, ')
          ..write('lastSeen: $lastSeen, ')
          ..write('rowid: $rowid')
          ..write(')'))
        .toString();
  }
}

class $SimpleSettingsTable extends SimpleSettings
    with TableInfo<$SimpleSettingsTable, SimpleSetting> {
  @override
  final GeneratedDatabase attachedDatabase;
  final String? _alias;
  $SimpleSettingsTable(this.attachedDatabase, [this._alias]);
  static const VerificationMeta _settingsIdMeta =
      const VerificationMeta('settingsId');
  @override
  late final GeneratedColumn<int> settingsId = GeneratedColumn<int>(
      'settings_id', aliasedName, false,
      type: DriftSqlType.int, requiredDuringInsert: false);
  static const VerificationMeta _dataMeta = const VerificationMeta('data');
  @override
  late final GeneratedColumn<String> data = GeneratedColumn<String>(
      'data', aliasedName, true,
      type: DriftSqlType.string, requiredDuringInsert: false);
  @override
  List<GeneratedColumn> get $columns => [settingsId, data];
  @override
  String get aliasedName => _alias ?? actualTableName;
  @override
  String get actualTableName => $name;
  static const String $name = 'simple_settings';
  @override
  VerificationContext validateIntegrity(Insertable<SimpleSetting> instance,
      {bool isInserting = false}) {
    final context = VerificationContext();
    final data = instance.toColumns(true);
    if (data.containsKey('settings_id')) {
      context.handle(
          _settingsIdMeta,
          settingsId.isAcceptableOrUnknown(
              data['settings_id']!, _settingsIdMeta));
    }
    if (data.containsKey('data')) {
      context.handle(
          _dataMeta, this.data.isAcceptableOrUnknown(data['data']!, _dataMeta));
    }
    return context;
  }

  @override
  Set<GeneratedColumn> get $primaryKey => {settingsId};
  @override
  SimpleSetting map(Map<String, dynamic> data, {String? tablePrefix}) {
    final effectivePrefix = tablePrefix != null ? '$tablePrefix.' : '';
    return SimpleSetting(
      settingsId: attachedDatabase.typeMapping
          .read(DriftSqlType.int, data['${effectivePrefix}settings_id'])!,
      data: attachedDatabase.typeMapping
          .read(DriftSqlType.string, data['${effectivePrefix}data']),
    );
  }

  @override
  $SimpleSettingsTable createAlias(String alias) {
    return $SimpleSettingsTable(attachedDatabase, alias);
  }
}

class SimpleSetting extends DataClass implements Insertable<SimpleSetting> {
  final int settingsId;
  final String? data;
  const SimpleSetting({required this.settingsId, this.data});
  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    map['settings_id'] = Variable<int>(settingsId);
    if (!nullToAbsent || data != null) {
      map['data'] = Variable<String>(data);
    }
    return map;
  }

  SimpleSettingsCompanion toCompanion(bool nullToAbsent) {
    return SimpleSettingsCompanion(
      settingsId: Value(settingsId),
      data: data == null && nullToAbsent ? const Value.absent() : Value(data),
    );
  }

  factory SimpleSetting.fromJson(Map<String, dynamic> json,
      {ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return SimpleSetting(
      settingsId: serializer.fromJson<int>(json['settingsId']),
      data: serializer.fromJson<String?>(json['data']),
    );
  }
  @override
  Map<String, dynamic> toJson({ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return <String, dynamic>{
      'settingsId': serializer.toJson<int>(settingsId),
      'data': serializer.toJson<String?>(data),
    };
  }

  SimpleSetting copyWith(
          {int? settingsId, Value<String?> data = const Value.absent()}) =>
      SimpleSetting(
        settingsId: settingsId ?? this.settingsId,
        data: data.present ? data.value : this.data,
      );
  @override
  String toString() {
    return (StringBuffer('SimpleSetting(')
          ..write('settingsId: $settingsId, ')
          ..write('data: $data')
          ..write(')'))
        .toString();
  }

  @override
  int get hashCode => Object.hash(settingsId, data);
  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      (other is SimpleSetting &&
          other.settingsId == this.settingsId &&
          other.data == this.data);
}

class SimpleSettingsCompanion extends UpdateCompanion<SimpleSetting> {
  final Value<int> settingsId;
  final Value<String?> data;
  const SimpleSettingsCompanion({
    this.settingsId = const Value.absent(),
    this.data = const Value.absent(),
  });
  SimpleSettingsCompanion.insert({
    this.settingsId = const Value.absent(),
    this.data = const Value.absent(),
  });
  static Insertable<SimpleSetting> custom({
    Expression<int>? settingsId,
    Expression<String>? data,
  }) {
    return RawValuesInsertable({
      if (settingsId != null) 'settings_id': settingsId,
      if (data != null) 'data': data,
    });
  }

  SimpleSettingsCompanion copyWith(
      {Value<int>? settingsId, Value<String?>? data}) {
    return SimpleSettingsCompanion(
      settingsId: settingsId ?? this.settingsId,
      data: data ?? this.data,
    );
  }

  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    if (settingsId.present) {
      map['settings_id'] = Variable<int>(settingsId.value);
    }
    if (data.present) {
      map['data'] = Variable<String>(data.value);
    }
    return map;
  }

  @override
  String toString() {
    return (StringBuffer('SimpleSettingsCompanion(')
          ..write('settingsId: $settingsId, ')
          ..write('data: $data')
          ..write(')'))
        .toString();
  }
}

class $ViveBaseStationIdsTable extends ViveBaseStationIds
    with TableInfo<$ViveBaseStationIdsTable, ViveBaseStationId> {
  @override
  final GeneratedDatabase attachedDatabase;
  final String? _alias;
  $ViveBaseStationIdsTable(this.attachedDatabase, [this._alias]);
  static const VerificationMeta _deviceIdMeta =
      const VerificationMeta('deviceId');
  @override
  late final GeneratedColumn<String> deviceId = GeneratedColumn<String>(
      'device_id', aliasedName, false,
      additionalChecks:
          GeneratedColumn.checkTextLength(minTextLength: 17, maxTextLength: 37),
      type: DriftSqlType.string,
      requiredDuringInsert: true);
  static const VerificationMeta _baseStationIdMeta =
      const VerificationMeta('baseStationId');
  @override
  late final GeneratedColumn<int> baseStationId = GeneratedColumn<int>(
      'base_station_id', aliasedName, false,
      type: DriftSqlType.int, requiredDuringInsert: true);
  @override
  List<GeneratedColumn> get $columns => [deviceId, baseStationId];
  @override
  String get aliasedName => _alias ?? actualTableName;
  @override
  String get actualTableName => $name;
  static const String $name = 'vive_base_station_ids';
  @override
  VerificationContext validateIntegrity(Insertable<ViveBaseStationId> instance,
      {bool isInserting = false}) {
    final context = VerificationContext();
    final data = instance.toColumns(true);
    if (data.containsKey('device_id')) {
      context.handle(_deviceIdMeta,
          deviceId.isAcceptableOrUnknown(data['device_id']!, _deviceIdMeta));
    } else if (isInserting) {
      context.missing(_deviceIdMeta);
    }
    if (data.containsKey('base_station_id')) {
      context.handle(
          _baseStationIdMeta,
          baseStationId.isAcceptableOrUnknown(
              data['base_station_id']!, _baseStationIdMeta));
    } else if (isInserting) {
      context.missing(_baseStationIdMeta);
    }
    return context;
  }

  @override
  Set<GeneratedColumn> get $primaryKey => {deviceId};
  @override
  ViveBaseStationId map(Map<String, dynamic> data, {String? tablePrefix}) {
    final effectivePrefix = tablePrefix != null ? '$tablePrefix.' : '';
    return ViveBaseStationId(
      deviceId: attachedDatabase.typeMapping
          .read(DriftSqlType.string, data['${effectivePrefix}device_id'])!,
      baseStationId: attachedDatabase.typeMapping
          .read(DriftSqlType.int, data['${effectivePrefix}base_station_id'])!,
    );
  }

  @override
  $ViveBaseStationIdsTable createAlias(String alias) {
    return $ViveBaseStationIdsTable(attachedDatabase, alias);
  }
}

class ViveBaseStationId extends DataClass
    implements Insertable<ViveBaseStationId> {
  final String deviceId;
  final int baseStationId;
  const ViveBaseStationId(
      {required this.deviceId, required this.baseStationId});
  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    map['device_id'] = Variable<String>(deviceId);
    map['base_station_id'] = Variable<int>(baseStationId);
    return map;
  }

  ViveBaseStationIdsCompanion toCompanion(bool nullToAbsent) {
    return ViveBaseStationIdsCompanion(
      deviceId: Value(deviceId),
      baseStationId: Value(baseStationId),
    );
  }

  factory ViveBaseStationId.fromJson(Map<String, dynamic> json,
      {ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return ViveBaseStationId(
      deviceId: serializer.fromJson<String>(json['deviceId']),
      baseStationId: serializer.fromJson<int>(json['baseStationId']),
    );
  }
  @override
  Map<String, dynamic> toJson({ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return <String, dynamic>{
      'deviceId': serializer.toJson<String>(deviceId),
      'baseStationId': serializer.toJson<int>(baseStationId),
    };
  }

  ViveBaseStationId copyWith({String? deviceId, int? baseStationId}) =>
      ViveBaseStationId(
        deviceId: deviceId ?? this.deviceId,
        baseStationId: baseStationId ?? this.baseStationId,
      );
  @override
  String toString() {
    return (StringBuffer('ViveBaseStationId(')
          ..write('deviceId: $deviceId, ')
          ..write('baseStationId: $baseStationId')
          ..write(')'))
        .toString();
  }

  @override
  int get hashCode => Object.hash(deviceId, baseStationId);
  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      (other is ViveBaseStationId &&
          other.deviceId == this.deviceId &&
          other.baseStationId == this.baseStationId);
}

class ViveBaseStationIdsCompanion extends UpdateCompanion<ViveBaseStationId> {
  final Value<String> deviceId;
  final Value<int> baseStationId;
  final Value<int> rowid;
  const ViveBaseStationIdsCompanion({
    this.deviceId = const Value.absent(),
    this.baseStationId = const Value.absent(),
    this.rowid = const Value.absent(),
  });
  ViveBaseStationIdsCompanion.insert({
    required String deviceId,
    required int baseStationId,
    this.rowid = const Value.absent(),
  })  : deviceId = Value(deviceId),
        baseStationId = Value(baseStationId);
  static Insertable<ViveBaseStationId> custom({
    Expression<String>? deviceId,
    Expression<int>? baseStationId,
    Expression<int>? rowid,
  }) {
    return RawValuesInsertable({
      if (deviceId != null) 'device_id': deviceId,
      if (baseStationId != null) 'base_station_id': baseStationId,
      if (rowid != null) 'rowid': rowid,
    });
  }

  ViveBaseStationIdsCompanion copyWith(
      {Value<String>? deviceId, Value<int>? baseStationId, Value<int>? rowid}) {
    return ViveBaseStationIdsCompanion(
      deviceId: deviceId ?? this.deviceId,
      baseStationId: baseStationId ?? this.baseStationId,
      rowid: rowid ?? this.rowid,
    );
  }

  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    if (deviceId.present) {
      map['device_id'] = Variable<String>(deviceId.value);
    }
    if (baseStationId.present) {
      map['base_station_id'] = Variable<int>(baseStationId.value);
    }
    if (rowid.present) {
      map['rowid'] = Variable<int>(rowid.value);
    }
    return map;
  }

  @override
  String toString() {
    return (StringBuffer('ViveBaseStationIdsCompanion(')
          ..write('deviceId: $deviceId, ')
          ..write('baseStationId: $baseStationId, ')
          ..write('rowid: $rowid')
          ..write(')'))
        .toString();
  }
}

class $GroupsTable extends Groups with TableInfo<$GroupsTable, Group> {
  @override
  final GeneratedDatabase attachedDatabase;
  final String? _alias;
  $GroupsTable(this.attachedDatabase, [this._alias]);
  static const VerificationMeta _idMeta = const VerificationMeta('id');
  @override
  late final GeneratedColumn<int> id = GeneratedColumn<int>(
      'id', aliasedName, false,
      hasAutoIncrement: true,
      type: DriftSqlType.int,
      requiredDuringInsert: false,
      defaultConstraints:
          GeneratedColumn.constraintIsAlways('PRIMARY KEY AUTOINCREMENT'));
  static const VerificationMeta _nameMeta = const VerificationMeta('name');
  @override
  late final GeneratedColumn<String> name = GeneratedColumn<String>(
      'name', aliasedName, false,
      type: DriftSqlType.string, requiredDuringInsert: true);
  @override
  List<GeneratedColumn> get $columns => [id, name];
  @override
  String get aliasedName => _alias ?? actualTableName;
  @override
  String get actualTableName => $name;
  static const String $name = 'groups';
  @override
  VerificationContext validateIntegrity(Insertable<Group> instance,
      {bool isInserting = false}) {
    final context = VerificationContext();
    final data = instance.toColumns(true);
    if (data.containsKey('id')) {
      context.handle(_idMeta, id.isAcceptableOrUnknown(data['id']!, _idMeta));
    }
    if (data.containsKey('name')) {
      context.handle(
          _nameMeta, name.isAcceptableOrUnknown(data['name']!, _nameMeta));
    } else if (isInserting) {
      context.missing(_nameMeta);
    }
    return context;
  }

  @override
  Set<GeneratedColumn> get $primaryKey => {id};
  @override
  Group map(Map<String, dynamic> data, {String? tablePrefix}) {
    final effectivePrefix = tablePrefix != null ? '$tablePrefix.' : '';
    return Group(
      id: attachedDatabase.typeMapping
          .read(DriftSqlType.int, data['${effectivePrefix}id'])!,
      name: attachedDatabase.typeMapping
          .read(DriftSqlType.string, data['${effectivePrefix}name'])!,
    );
  }

  @override
  $GroupsTable createAlias(String alias) {
    return $GroupsTable(attachedDatabase, alias);
  }
}

class Group extends DataClass implements Insertable<Group> {
  final int id;
  final String name;
  const Group({required this.id, required this.name});
  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    map['id'] = Variable<int>(id);
    map['name'] = Variable<String>(name);
    return map;
  }

  GroupsCompanion toCompanion(bool nullToAbsent) {
    return GroupsCompanion(
      id: Value(id),
      name: Value(name),
    );
  }

  factory Group.fromJson(Map<String, dynamic> json,
      {ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return Group(
      id: serializer.fromJson<int>(json['id']),
      name: serializer.fromJson<String>(json['name']),
    );
  }
  @override
  Map<String, dynamic> toJson({ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return <String, dynamic>{
      'id': serializer.toJson<int>(id),
      'name': serializer.toJson<String>(name),
    };
  }

  Group copyWith({int? id, String? name}) => Group(
        id: id ?? this.id,
        name: name ?? this.name,
      );
  @override
  String toString() {
    return (StringBuffer('Group(')
          ..write('id: $id, ')
          ..write('name: $name')
          ..write(')'))
        .toString();
  }

  @override
  int get hashCode => Object.hash(id, name);
  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      (other is Group && other.id == this.id && other.name == this.name);
}

class GroupsCompanion extends UpdateCompanion<Group> {
  final Value<int> id;
  final Value<String> name;
  const GroupsCompanion({
    this.id = const Value.absent(),
    this.name = const Value.absent(),
  });
  GroupsCompanion.insert({
    this.id = const Value.absent(),
    required String name,
  }) : name = Value(name);
  static Insertable<Group> custom({
    Expression<int>? id,
    Expression<String>? name,
  }) {
    return RawValuesInsertable({
      if (id != null) 'id': id,
      if (name != null) 'name': name,
    });
  }

  GroupsCompanion copyWith({Value<int>? id, Value<String>? name}) {
    return GroupsCompanion(
      id: id ?? this.id,
      name: name ?? this.name,
    );
  }

  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    if (id.present) {
      map['id'] = Variable<int>(id.value);
    }
    if (name.present) {
      map['name'] = Variable<String>(name.value);
    }
    return map;
  }

  @override
  String toString() {
    return (StringBuffer('GroupsCompanion(')
          ..write('id: $id, ')
          ..write('name: $name')
          ..write(')'))
        .toString();
  }
}

class $GroupEntriesTable extends GroupEntries
    with TableInfo<$GroupEntriesTable, GroupEntry> {
  @override
  final GeneratedDatabase attachedDatabase;
  final String? _alias;
  $GroupEntriesTable(this.attachedDatabase, [this._alias]);
  static const VerificationMeta _deviceIdMeta =
      const VerificationMeta('deviceId');
  @override
  late final GeneratedColumn<String> deviceId = GeneratedColumn<String>(
      'device_id', aliasedName, false,
      additionalChecks:
          GeneratedColumn.checkTextLength(minTextLength: 17, maxTextLength: 37),
      type: DriftSqlType.string,
      requiredDuringInsert: true);
  static const VerificationMeta _groupIdMeta =
      const VerificationMeta('groupId');
  @override
  late final GeneratedColumn<int> groupId = GeneratedColumn<int>(
      'group_id', aliasedName, false,
      type: DriftSqlType.int,
      requiredDuringInsert: true,
      defaultConstraints: GeneratedColumn.constraintIsAlways(
          'REFERENCES "groups" (id) ON UPDATE CASCADE ON DELETE CASCADE'));
  @override
  List<GeneratedColumn> get $columns => [deviceId, groupId];
  @override
  String get aliasedName => _alias ?? actualTableName;
  @override
  String get actualTableName => $name;
  static const String $name = 'group_entries';
  @override
  VerificationContext validateIntegrity(Insertable<GroupEntry> instance,
      {bool isInserting = false}) {
    final context = VerificationContext();
    final data = instance.toColumns(true);
    if (data.containsKey('device_id')) {
      context.handle(_deviceIdMeta,
          deviceId.isAcceptableOrUnknown(data['device_id']!, _deviceIdMeta));
    } else if (isInserting) {
      context.missing(_deviceIdMeta);
    }
    if (data.containsKey('group_id')) {
      context.handle(_groupIdMeta,
          groupId.isAcceptableOrUnknown(data['group_id']!, _groupIdMeta));
    } else if (isInserting) {
      context.missing(_groupIdMeta);
    }
    return context;
  }

  @override
  Set<GeneratedColumn> get $primaryKey => {deviceId};
  @override
  GroupEntry map(Map<String, dynamic> data, {String? tablePrefix}) {
    final effectivePrefix = tablePrefix != null ? '$tablePrefix.' : '';
    return GroupEntry(
      deviceId: attachedDatabase.typeMapping
          .read(DriftSqlType.string, data['${effectivePrefix}device_id'])!,
      groupId: attachedDatabase.typeMapping
          .read(DriftSqlType.int, data['${effectivePrefix}group_id'])!,
    );
  }

  @override
  $GroupEntriesTable createAlias(String alias) {
    return $GroupEntriesTable(attachedDatabase, alias);
  }
}

class GroupEntry extends DataClass implements Insertable<GroupEntry> {
  final String deviceId;
  final int groupId;
  const GroupEntry({required this.deviceId, required this.groupId});
  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    map['device_id'] = Variable<String>(deviceId);
    map['group_id'] = Variable<int>(groupId);
    return map;
  }

  GroupEntriesCompanion toCompanion(bool nullToAbsent) {
    return GroupEntriesCompanion(
      deviceId: Value(deviceId),
      groupId: Value(groupId),
    );
  }

  factory GroupEntry.fromJson(Map<String, dynamic> json,
      {ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return GroupEntry(
      deviceId: serializer.fromJson<String>(json['deviceId']),
      groupId: serializer.fromJson<int>(json['groupId']),
    );
  }
  @override
  Map<String, dynamic> toJson({ValueSerializer? serializer}) {
    serializer ??= driftRuntimeOptions.defaultSerializer;
    return <String, dynamic>{
      'deviceId': serializer.toJson<String>(deviceId),
      'groupId': serializer.toJson<int>(groupId),
    };
  }

  GroupEntry copyWith({String? deviceId, int? groupId}) => GroupEntry(
        deviceId: deviceId ?? this.deviceId,
        groupId: groupId ?? this.groupId,
      );
  @override
  String toString() {
    return (StringBuffer('GroupEntry(')
          ..write('deviceId: $deviceId, ')
          ..write('groupId: $groupId')
          ..write(')'))
        .toString();
  }

  @override
  int get hashCode => Object.hash(deviceId, groupId);
  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      (other is GroupEntry &&
          other.deviceId == this.deviceId &&
          other.groupId == this.groupId);
}

class GroupEntriesCompanion extends UpdateCompanion<GroupEntry> {
  final Value<String> deviceId;
  final Value<int> groupId;
  final Value<int> rowid;
  const GroupEntriesCompanion({
    this.deviceId = const Value.absent(),
    this.groupId = const Value.absent(),
    this.rowid = const Value.absent(),
  });
  GroupEntriesCompanion.insert({
    required String deviceId,
    required int groupId,
    this.rowid = const Value.absent(),
  })  : deviceId = Value(deviceId),
        groupId = Value(groupId);
  static Insertable<GroupEntry> custom({
    Expression<String>? deviceId,
    Expression<int>? groupId,
    Expression<int>? rowid,
  }) {
    return RawValuesInsertable({
      if (deviceId != null) 'device_id': deviceId,
      if (groupId != null) 'group_id': groupId,
      if (rowid != null) 'rowid': rowid,
    });
  }

  GroupEntriesCompanion copyWith(
      {Value<String>? deviceId, Value<int>? groupId, Value<int>? rowid}) {
    return GroupEntriesCompanion(
      deviceId: deviceId ?? this.deviceId,
      groupId: groupId ?? this.groupId,
      rowid: rowid ?? this.rowid,
    );
  }

  @override
  Map<String, Expression> toColumns(bool nullToAbsent) {
    final map = <String, Expression>{};
    if (deviceId.present) {
      map['device_id'] = Variable<String>(deviceId.value);
    }
    if (groupId.present) {
      map['group_id'] = Variable<int>(groupId.value);
    }
    if (rowid.present) {
      map['rowid'] = Variable<int>(rowid.value);
    }
    return map;
  }

  @override
  String toString() {
    return (StringBuffer('GroupEntriesCompanion(')
          ..write('deviceId: $deviceId, ')
          ..write('groupId: $groupId, ')
          ..write('rowid: $rowid')
          ..write(')'))
        .toString();
  }
}

abstract class _$LighthouseDatabase extends GeneratedDatabase {
  _$LighthouseDatabase(QueryExecutor e) : super(e);
  late final $NicknamesTable nicknames = $NicknamesTable(this);
  late final $LastSeenDevicesTable lastSeenDevices =
      $LastSeenDevicesTable(this);
  late final $SimpleSettingsTable simpleSettings = $SimpleSettingsTable(this);
  late final $ViveBaseStationIdsTable viveBaseStationIds =
      $ViveBaseStationIdsTable(this);
  late final $GroupsTable groups = $GroupsTable(this);
  late final $GroupEntriesTable groupEntries = $GroupEntriesTable(this);
  late final NicknameDao nicknameDao = NicknameDao(this as LighthouseDatabase);
  late final SettingsDao settingsDao = SettingsDao(this as LighthouseDatabase);
  late final ViveBaseStationDao viveBaseStationDao =
      ViveBaseStationDao(this as LighthouseDatabase);
  late final GroupDao groupDao = GroupDao(this as LighthouseDatabase);
  @override
  Iterable<TableInfo<Table, Object?>> get allTables =>
      allSchemaEntities.whereType<TableInfo<Table, Object?>>();
  @override
  List<DatabaseSchemaEntity> get allSchemaEntities => [
        nicknames,
        lastSeenDevices,
        simpleSettings,
        viveBaseStationIds,
        groups,
        groupEntries
      ];
  @override
  StreamQueryUpdateRules get streamUpdateRules => const StreamQueryUpdateRules(
        [
          WritePropagation(
            on: TableUpdateQuery.onTableName('groups',
                limitUpdateKind: UpdateKind.delete),
            result: [
              TableUpdate('group_entries', kind: UpdateKind.delete),
            ],
          ),
          WritePropagation(
            on: TableUpdateQuery.onTableName('groups',
                limitUpdateKind: UpdateKind.update),
            result: [
              TableUpdate('group_entries', kind: UpdateKind.update),
            ],
          ),
        ],
      );
}
